## Site Studio Master Template Selector Widget

This module provides a field widget for the Site Studio template selector field type. The widget allows you to
select master templates within Site Studio on content entities (nodes, users) instead of just the bundle template
types.

This would allow you to set the master template for any given page itself. It is useful for cases when you may want
a particular content entity to display in a different master template.

### Installation

1. The module requires Site Studio version 6.8.0 or higher.
2. Install the module.
3. Add the "Template Selector" field to a content entity.
4. Under Manage Form Display, set its widget to "Site Studio master template selector widget".
5. Create one or more master templates in Site Studio. Make sure they are "Enabled".
6. On the content edit screen, the template selector field will show master templates as options.

For every master template you add or edit, you will likely need to "Rebuild" Site Studio to generate the actual
template files behind the scenes with the changes.

This module _may_ conflict with mixing this widget/field with the normal Site Studio template selector field. If you
have that template selector field in use already there may be unforseen issues combining it with this. Test it out
before running in production.

The module was developed based on a few real world cases where we needed to change the master template for
particular pages, but did not want to create new content types just to control their "full" display when viewing a node.
